Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000468Core InformActionspublic2010-12-15 08:332011-01-10 11:15
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000468: Current action had been some action causes internal error
DescriptionCurrent action had been some action causes internal error
Minimal Source Text To Reproduce

Example is a room.

Instead of waiting:
	if the current action had been the action of waiting:
		say "waiting longer.";
		say "waiting."
Additional InformationC:\Program Files\Inform 7\Compilers\ni \
    -rules "C:\Program Files\Inform 7\Inform7\Extensions" -package "C:\Documents and Settings\herrdu\My Documents\Inform\Projects\test.inform" -extension=z5
Inform 7 build 6F95 has started.
I've now read your source text, which is 24 words long.
I've also read Standard Rules by Graham Nelson, which is 39437 words long.
  >--> An internal error has occurred: tried to read argument of null SP. The
    current sentence is 'if the current action had been the action of waiting
    begin' (source text, line 6); the error was detected at line 280 of
    "Chapter 16/Specifications.w". This should never happen, and I am now
    halting in abject failure.

Compiler finished with code 1
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
Poster (reporter)
2010-12-15 16:49

This also occurs on Mac OS X 10.5. Using the IDE, the error message has some additional parts, but there's no difference otherwise.
graham (administrator)
2010-12-22 03:06


- Issue History
Date Modified Username Field Change
2010-12-15 08:33 herrdu New Issue
2010-12-15 10:01 jmcgrew Severity serious => critical
2010-12-15 10:01 jmcgrew Status new => acknowledged
2010-12-15 11:22 EmacsUser Status acknowledged => confirmed
2010-12-15 16:49 Poster Note Added: 0000904
2010-12-22 03:06 graham Note Added: 0000917
2010-12-22 03:06 graham Status confirmed => resolved
2010-12-22 03:06 graham Resolution open => fixed
2010-12-22 03:06 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker